Bug 3558 - myproxy store patch
: myproxy store patch
Status: RESOLVED FIXED
: CoG jglobus
myproxy
: unspecified
: All All
: P3 contribution
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-07-12 09:22 by
Modified: 2005-12-05 17:16 (History)


Attachments
patch to add MyProxy store to jglobus CVS (14.25 KB, patch)
2005-07-12 09:26, Jim Basney
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-12 09:22:58
The following patch adds the myproxy-store capability, documented at
http://www.globus.org/toolkit/docs/4.0/security/myproxy/rn01re04.html>,
to jglobus.  The MyProxy store command sends credentials directly to
the myproxy-server for storage, rather than using proxy delegation.
It can be used to store encrypted end-entity credentials on the
server.
------- Comment #1 From 2005-07-12 09:26:03 -------
Created an attachment (id=652) [details]
patch to add MyProxy store to jglobus CVS

apply in the jglobus directory with:
  patch -Np1 < jglobus.myproxy-store.patch
------- Comment #2 From 2005-07-13 10:49:48 -------
Patch applied with some minor changes, thanks! I will commit the updated cog-
jglobus.jar to GT4 cvs globus_4_0_branch (and trunk of course) so that this 
will be part of 4.0.1 release. 
But before that could you double check that the store() function is still 
working as expected? (I don't have latest myproxy install).

------- Comment #3 From 2005-07-13 12:10:02 -------
I added some tests now, and fixed some minor problems. Two questions: 

Is passphrase required for the store() operation? Currently it is not passed at 
all with the myproxy tool. I'm wondering if the user still should be able to 
pass it.

It seems there is a 'retrieve' operation (command 6) but this was not part of 
the patch. Is that a different operation not releated to the 'store' operation?
------- Comment #4 From 2005-07-13 13:09:59 -------
> Is passphrase required for the store() operation? Currently it is not passed at 
> all with the myproxy tool. I'm wondering if the user still should be able to 
> pass it.

No, there's no passphrase for the store operation, since the private key
is already encrypted.

> It seems there is a 'retrieve' operation (command 6) but this was not part of 
> the patch. Is that a different operation not releated to the 'store' operation?

Yes, it's a different operation which I haven't implemented yet.  I hope
to submit it in another patch soon.
------- Comment #5 From 2005-07-13 13:41:37 -------
> But before that could you double check that the store() function is still 
> working as expected? (I don't have latest myproxy install).

The store() function in the current cogkit cvs head is working well for
me using the latest myproxy-server.  Thanks!
------- Comment #6 From 2005-07-13 14:55:36 -------
Ok, great. Thanks for everything. Please open another bug for the retreive() 
patch when ready.